forked from pool/virtualbox
6c3d667234
- Version bump to VirtualBox 7.0.14 (released January 16, 2024 by Oracle) This is a maintenance release. The following items were fixed and/or added: Audio: Added more fixes for switching host audio devices on Windows hosts using the WAS backend 3D: Added general improvements OCI: Fixed wrong guest RAM unit usage in VirtualSystemDescription, memory is provided in bytes, "Byte" is the base unit Main: OVF Import/Export: Added support for importing and exporting VMs containing NVMe storage controllers (bug #19320) Main: OVF Import/Export: Added support for exporting a VM which contains a medium inserted into a virtual CD/DVD drive which is attached to a Virtio-SCSI controller Devices: Fixed a problem where Windows guests "forget" in-progress touch events when the user holds down a finger without moving it for a period of time. macOS Host USB: Added support for newer storage devices macOS Host: Fixed memory Leak in the VBoxIntNetSwitch process when VM was configured to use 'Internal Networking' (bug #21752) Linux Host and Guest: Added initial support for RHEL 9.4 kernel Linux Guest Additions: Fixed kernel panic on RHEL 8.9 kernel caused by vboxvideo (bugs #10381 and #21911) Solaris Guest Additions: Added support for the Additions to be installed into an alternate root path ('pkgadd -R') Solaris Guest Additions: Removed requirement to reboot VM after uninstalling GAs RDP: Fix possible crash when connecting with the Apple Silicon variant of the Microsoft Remote Desktop application (bug #21820). BIOS: Fixed handle number used for DMI OEM table (bug #19781) ======= >>>>>>> ./virtualbox.changes.new OBS-URL: https://build.opensuse.org/request/show/1142681 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=720
41 lines
1.6 KiB
Diff
41 lines
1.6 KiB
Diff
# This patch file is to warn future maintainers of VirtualBox on openSUSE
|
|
# platforms that the distributed versions of vboxadd.sh and vboxdrv.sh
|
|
# contain security holes. If you need to use these scripts in the future,
|
|
# please consult the Security Group at openSUSE.
|
|
#
|
|
# January 31, 2019 - Larry Finger
|
|
#
|
|
Index: VirtualBox-7.0.14/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.14.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-7.0.14/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -1228,9 +1228,11 @@ dmnstatus()
|
|
fi
|
|
}
|
|
|
|
-for i; do
|
|
- case "$i" in quiet) QUIET=yes;; esac
|
|
-done
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
+case "$2" in quiet)
|
|
+ QUIET=yes;;
|
|
case "$1" in
|
|
# Does setup without clean-up first and marks all kernels currently found on the
|
|
# system so that we can see later if any were added.
|
|
Index: VirtualBox-7.0.14/src/VBox/Installer/linux/vboxdrv.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.14.orig/src/VBox/Installer/linux/vboxdrv.sh
|
|
+++ VirtualBox-7.0.14/src/VBox/Installer/linux/vboxdrv.sh
|
|
@@ -48,6 +48,9 @@ DEVICE=/dev/vboxdrv
|
|
MODPROBE=/sbin/modprobe
|
|
SCRIPTNAME=vboxdrv.sh
|
|
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
# The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version.
|
|
TARGET=`readlink -e -- "${0}"` || exit 1
|
|
SCRIPT_DIR="${TARGET%/[!/]*}"
|